import React from 'react';
import ReactDom from 'react-dom';
import { arc } from 'd3';

const width = 960;
const height = 500;

//body
const centerX = width/2;
const centerY = height/2;
const strokeWidth = 10;
const circleRadius = centerY - strokeWidth /2;

//eyes
const eyeOffsetX = 100;
const eyeOffsetY = 100;
const eyeRadius = 50;

//mouth
const mouthWidth = 20;
const mouthRadius = 140
const mouthArc = arc()
    .innerRadius(mouthRadius)
    .outerRadius(mouthRadius+mouthWidth)
    .startAngle(Math.PI/2)
    .endAngle(Math.PI*3/2);

const App = () => (
  	<svg width={width} height={height}>
    	<g transform={`translate(${centerX},${centerY})`}>
      <circle 
              r={circleRadius} 
              fill="yellow"
              stroke="black"
              stroke-width={strokeWidth}
      />
    
      <circle 
              cx={-eyeOffsetX}
              cy={-eyeOffsetY}
              r={eyeRadius} 
              stroke="black"
      />
      <circle 
              cx={+eyeOffsetX} 
              cy={-eyeOffsetY}
              r={eyeRadius}
              stroke="black"
      />
			<path d={mouthArc()}/>
    </g>
    </svg>
  );

const rootElement = document.getElementById('root');
ReactDom.render(<App />, rootElement)
